Debian Bug report logs - #593865
busybox: please include CONFIG_FEATURE_INITRD on Hurd

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Sat, 21 Aug 2010 17:39:02 UTC

Severity: normal

Tags: patch

Found in version 1.17.1-2

Fixed in version busybox/1:1.17.1-3

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#593865; Package busybox. (Sat, 21 Aug 2010 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 21 Aug 2010 17:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: busybox: please include CONFIG_FEATURE_INITRD on Hurd
Date: Sat, 21 Aug 2010 19:35:37 +0200
[Message part 1 (text/plain, inline)]
Package: busybox
Version: 1.17.1-2
Tags: patch

Hi,

On the Hurd d-i, we need to run busybox init as "linuxrc" because it's
not started as pid 1. The applet in question is activated by the
CONFIG_FEATURE_INITRD option.

The attached patch adds this option in the config/os/hurd overrides.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[busybox_hurd_add_linuxrc.patch (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 22 Aug 2010 18:03:05 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Sun, 22 Aug 2010 18:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 593865-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 593865-close@bugs.debian.org
Subject: Bug#593865: fixed in busybox 1:1.17.1-3
Date: Sun, 22 Aug 2010 18:02:15 +0000
Source: busybox
Source-Version: 1:1.17.1-3

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.17.1-3_amd64.deb
  to main/b/busybox/busybox-static_1.17.1-3_amd64.deb
busybox-syslogd_1.17.1-3_all.deb
  to main/b/busybox/busybox-syslogd_1.17.1-3_all.deb
busybox-udeb_1.17.1-3_amd64.udeb
  to main/b/busybox/busybox-udeb_1.17.1-3_amd64.udeb
busybox_1.17.1-3.debian.tar.gz
  to main/b/busybox/busybox_1.17.1-3.debian.tar.gz
busybox_1.17.1-3.dsc
  to main/b/busybox/busybox_1.17.1-3.dsc
busybox_1.17.1-3_amd64.deb
  to main/b/busybox/busybox_1.17.1-3_amd64.deb
udhcpc_1.17.1-3_all.deb
  to main/b/busybox/udhcpc_1.17.1-3_all.deb
udhcpd_1.17.1-3_all.deb
  to main/b/busybox/udhcpd_1.17.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593865@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Aug 2010 19:46:52 +0200
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all amd64
Version: 1:1.17.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 593865
Changes: 
 busybox (1:1.17.1-3) unstable; urgency=low
 .
   [ Jérémie Koenig ]
   * Enable CONFIG_FEATURE_INITRD on Hurd (Closes: #593865).
 .
   [ Aurelien Jarno ]
   * [udeb] Disable volume id support.
Checksums-Sha1: 
 52b569dadcd5d585b6eab71590f5908038a0342e 1129 busybox_1.17.1-3.dsc
 b00fa70dd09289ef0bd3e0b3fde56910920c4e09 63740 busybox_1.17.1-3.debian.tar.gz
 1cb78d94a38e287b6deaa621a6949288b4038419 13126 busybox-syslogd_1.17.1-3_all.deb
 fb341806dc53698e4b6cd742c5fd85763b97886f 10760 udhcpc_1.17.1-3_all.deb
 281c8cfadee3f140c83cfe9181098171d7dd2855 14036 udhcpd_1.17.1-3_all.deb
 dc04a2a6dcf4b15d7efb9c6e2d16b1b5da06fd2c 335154 busybox_1.17.1-3_amd64.deb
 3b686f2195f4105bd1398b11f8206da138e57622 949062 busybox-static_1.17.1-3_amd64.deb
 a438e48679702e3b419dd5a2a6b657d38634e96b 159870 busybox-udeb_1.17.1-3_amd64.udeb
Checksums-Sha256: 
 038bf6a5f1ba06d5cc584b0d4b7a41bcec61202bc559b07457c9deed7d029165 1129 busybox_1.17.1-3.dsc
 abcf3874eb2bea443f5720323f2fe67cd83528f431546420fb676eb43c63d0ec 63740 busybox_1.17.1-3.debian.tar.gz
 6b29e61c7891ebed68988ffe768dea73cfbc2192cc4798709a79211c6da0e8b5 13126 busybox-syslogd_1.17.1-3_all.deb
 a901d9a37e628d70fc8a268f7394cbda670c58cf7725dfc32f3d1e7fa6048c51 10760 udhcpc_1.17.1-3_all.deb
 9b680d35729a8ff252233ba5f521fcc8e5d9ae5fd6b1e588744ba45f4d27efe2 14036 udhcpd_1.17.1-3_all.deb
 aa2a56b2b11061cb74b13e06857031881706db12ef1bed77682773fa96bc4a12 335154 busybox_1.17.1-3_amd64.deb
 e37effa106dcce8d77c1e6c40e7df058b4ed0e252b5e91414e9623a72cffd305 949062 busybox-static_1.17.1-3_amd64.deb
 74bd47a07677f60fb60b7e12760206d3d75132dfc7f290c74f7cf8bd48434c60 159870 busybox-udeb_1.17.1-3_amd64.udeb
Files: 
 c4a81221d70ca66e0e22f5ba9d4a226b 1129 utils optional busybox_1.17.1-3.dsc
 7745676bb7f9fb6ce9e1f578c0d90f51 63740 utils optional busybox_1.17.1-3.debian.tar.gz
 3cd65d16f8a4c61d229d49d136f2892d 13126 utils optional busybox-syslogd_1.17.1-3_all.deb
 39cb7ed8054fe1f911654d3dce70fca6 10760 utils optional udhcpc_1.17.1-3_all.deb
 252cccb12f7eb4818faf0f8a86261217 14036 utils optional udhcpd_1.17.1-3_all.deb
 9c14f5c25951480511ab1e077b036076 335154 utils optional busybox_1.17.1-3_amd64.deb
 1bd18e29c6b84946ed0f4e1b7b580ad2 949062 shells extra busybox-static_1.17.1-3_amd64.deb
 8cfb7ef5ec94862cd1c7e9abbe2cbf8a 159870 debian-installer extra busybox-udeb_1.17.1-3_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMcWRRw3ao2vG823MRAjmYAJ9B2AEXjIgJtIHeSEFgA+r5IT7p5QCeIOTM
m+ExuRyMyz5Mvzztyw+6qeQ=
=t0EV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Sep 2010 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:50:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.